fmBuffCheck_config_version = 2 -- increase this if config file changes
		
fmBuffCheck_default_buffprofile = {
	["Weapon Buff"] = true,
	["Food Buff"] = true,
	["Guardian Elixir"] = true,
	["Battle Elixir"] = true,
}

fmBuffCheck_default_baseprofile = {
	-- self
	["Battle Elixir"] = {
		["user"] = "Self",         -- what class can buff this? Use "Self" for selfapplied buffs such as food or consumables
		["sources"] = {
			["Elixir of Major Shadow Power"] = { -- the name of the buff (first match is taken, so go from more specific to less specific
				["Weight"]  = 1.0, -- the overall importance of this buff [0.0 - 1.0] (1.0 = very, 0.0 = not at all)
				["Warlock"] = 1.0, -- the relative benefit of this buff for the class [0.0 - 1.0] (1.0 = very, 0.0 = not at all)
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.5,
				["Druid"]   = 0.0,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.0,
				["Rogue"]   = 0.0,
			},			
			["Fel Strength Elixir"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},			
			["Elixir of Major Agility"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 0.5,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},			
			["Elixir of Major Firepower"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.0,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},			
			["Elixir of Major Frost Power"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.0,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},			
			["Elixir of Mastery"] = {
				["Weight"]  = 0.8,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},			
			["Elixir of Healing Power"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},			
			["Elixir of Major Strength"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},			
			["Adept's Elixir"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.5,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},			
			["Onslaught Elixir"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.0,
				["Warrior"] = 0.5,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},			
			["Battle Elixir"] = {  -- generic
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			-- flasks...
			["Flask of Arcane Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.3,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.3,
				["Priest"]  = 0.3,
				["Druid"]   = 0.7,
				["Paladin"] = 0.3,
				["Shaman"]  = 0.3,
				["Rogue"]   = 1.0,
			},
			["Flask of Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Flask of Mighty Restoration"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Flask of Relentless Assault"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Flask of Shadow Fortification"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.2,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.2,
				["Mage"]    = 0.2,
				["Priest"]  = 0.2,
				["Druid"]   = 0.5,
				["Paladin"] = 0.2,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Mighty Restoration"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Shattrath Flask of Relentless Assault"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Supreme Power"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.0,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Unstable Flask of the Bandit"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Beast"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Elder"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.2,
			},
			["Unstable Flask of the Physician"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},
			["Unstable Flask of the Soldier"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.3,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Sorcerer"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Flask"] = { -- generic :)
				["Weight"]  = 0.5,
				["Warlock"] = 0.5,
				["Warrior"] = 0.5,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.5,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},
		},
	},
	["Guardian Elixir"] = {
		["user"] = "Self",
		["sources"] = {
			["Elixir of Empowerment"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.3,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Elixir of Major Mageblood"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Elixir of Major Defense"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},
			["Elixir of Ironskin"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},
			["Elixir of Draenic Wisdom"] = {
				["Weight"]  = 0.8,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Earthen Elixir"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Elixir of Major Fortitude"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.5,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Guardian Elixir"] = { -- generic
				["Weight"]  = 0.5,
				["Warlock"] = 0.5,
				["Warrior"] = 0.5,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.5,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},
			-- flasks...
			["Flask of Arcane Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.3,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.3,
				["Priest"]  = 0.3,
				["Druid"]   = 0.7,
				["Paladin"] = 0.3,
				["Shaman"]  = 0.3,
				["Rogue"]   = 1.0,
			},
			["Flask of Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Flask of Mighty Restoration"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Flask of Relentless Assault"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Flask of Shadow Fortification"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.2,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.2,
				["Mage"]    = 0.2,
				["Priest"]  = 0.2,
				["Druid"]   = 0.5,
				["Paladin"] = 0.2,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Fortification"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Mighty Restoration"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.5,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Shattrath Flask of Relentless Assault"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Shattrath Flask of Supreme Power"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.0,
				["Paladin"] = 0.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Unstable Flask of the Bandit"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Beast"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Elder"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.5,
				["Mage"]    = 1.0,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.2,
			},
			["Unstable Flask of the Physician"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 1.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.0,
			},
			["Unstable Flask of the Soldier"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.3,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 0.0,
				["Shaman"]  = 0.5,
				["Rogue"]   = 1.0,
			},
			["Unstable Flask of the Sorcerer"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 1.0,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
			["Flask"] = { -- generic :)
				["Weight"]  = 0.5,
				["Warlock"] = 0.5,
				["Warrior"] = 0.5,
				["Hunter"]  = 0.5,
				["Mage"]    = 0.5,
				["Priest"]  = 0.5,
				["Druid"]   = 0.5,
				["Paladin"] = 0.5,
				["Shaman"]  = 0.5,
				["Rogue"]   = 0.5,
			},
		},
	},
	["Food Buff"] = {
		["user"] = "Self",
		["sources"] = {
			["Well Fed"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Weapon Buff"] = {
		["user"] = "Self",
		["sources"] = {
			["Weapon"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	-- mage
	["Arcane Brilliance/Intellect"] = {
		["user"] = "Mage",
		["sources"] = {
			["Arcane Brilliance"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0,
			},
			["Arcane Intellect"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0,
			},
		},
	},
	-- warrior
	["Battle Shout"] = {
		["user"] = "Warrior",
		["sources"] = {
			["Battle Shout"] = {
				["Weight"]  = 0.5,
				["Warlock"] = 0.1,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Commanding Shout"] = {
		["user"] = "Warrior",
		["sources"] = {
			["Commanding Shout"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	-- druid
	["Mark/Gift of the Wild"] = {
		["user"] = "Druid",
		["sources"] = {
			["Mark of the Wild"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Gift of the Wild"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Thorns"] = {
		["user"] = "Druid",
		["sources"] = {
			["Thorns"] = {
				["Weight"]  = 0.2,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	-- priest
	["Fortitude"] =	{
		["user"] = "Priest",
		["sources"] = {
			["Power Word: Fortitude"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Improved Power Word: Fortitude"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Prayer of Fortitude"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Shadow Protection"] = {
		["user"] = "Priest",
		["sources"] = {
			["Shadow Protection"] = {
				["Weight"]  = 0.3,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Prayer of Shadow Protection"] = {
				["Weight"]  = 0.3,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Divine Spirit"] = {
		["user"] = "Priest",
		["sources"] = {
			["Divine Spirit"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Prayer of Spirit"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,			
			},
		},
	},
	-- warlock
	["Detect Invisibility"] = {
		["user"] = "Warlock",
		["sources"] = {
			["Detect Invisibility"] = {
				["Weight"]  = 0.1,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	-- paladin
	["Blessing of Kings"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Kings"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Greater Blessing of Kings"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Blessing of Light"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Light"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Greater Blessing of Light"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Blessing of Might"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Might"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.1,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Greater Blessing of Might"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.1,
				["Warrior"] = 1.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 0.5,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Blessing of Salvation"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Salvation"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Greater Blessing of Salvation"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Blessing of Sanctuary"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Sanctuary"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
			["Greater Blessing of Sanctuary"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 0.0,
				["Warrior"] = 1.0,
				["Hunter"]  = 0.0,
				["Mage"]    = 0.0,
				["Priest"]  = 0.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 1.0,
			},
		},
	},
	["Blessing of Wisdom"] = {
		["user"] = "Paladin",
		["sources"] = {
			["Blessing of Wisdom"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			
			},
			["Greater Blessing of Wisdom"] = {
				["Weight"]  = 1.0,
				["Warlock"] = 1.0,
				["Warrior"] = 0.0,
				["Hunter"]  = 1.0,
				["Mage"]    = 1.0,
				["Priest"]  = 1.0,
				["Druid"]   = 1.0,
				["Paladin"] = 1.0,
				["Shaman"]  = 1.0,
				["Rogue"]   = 0.0,
			},
		},
	},
	-- rogue <none>
	-- hunter <none>
	-- shaman <none>
}

fmBuffCheck_default_config = { 
	["configver"] = fmBuffCheck_config_version,
	["debugging"] = false,
	["nagging"] = false,
	["activebuffprofile"] = 1,
	["activebaseprofile"] = 1,
	["showlogframe"] = false,
	["showresframe"] = true,
	["requesttimeout"] = 10,
	["bufftimeout"] = 1,
	["updatetimeout"] = 5,
	["lockresframe"] = 0,
	["baseprofile"] = {
		{
			["name"] = "Default",
			["profile"] = fmBuffCheck_default_baseprofile,
		},
	},
	["buffprofile"] = {
		{
			["name"] = "Default",
			["profile"] = fmBuffCheck_default_buffprofile,
		},
	},
}